services:
  rag_streamlit_test:
    build: .
    volumes:
      - .:/opt/workspace  # 로컬 디렉토리와 컨테이너 디렉토리 동기화
    ports:
      - "8504:8501"  # Streamlit 앱 포트 설정
    container_name: rag_streamlit_test   # 컨테이너 이름 설정
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: all
              capabilities: [gpu]